Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.context
Class BasicAttributeContext

    java.lang.Object
      org.apache.tiles.BasicAttributeContext
          org.apache.tiles.context.BasicAttributeContext

All Implemented Interfaces:
  java.io.Serializable, AttributeContext

Deprecated. Use `BasicAttributeContext`.

    @Deprecated
    public class BasicAttributeContext

extends BasicAttributeContext

Deprecated implementation for `AttributeContext`, maintained for compatibility reasons.

Version:
  $Rev: 784215 $ $Date: 2009-06-12 19:36:13 +0200 (ven, 12 giu 2009) $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.tiles.BasicAttributeContext
`attributes, cascadedAttributes, preparer, templateAttribute`

Constructor Summary
`BasicAttributeContext()` Deprecated. Constructor.
`BasicAttributeContext(AttributeContext context)` Deprecated. Copy constructor.
`BasicAttributeContext(BasicAttributeContext context)` Deprecated. Copy constructor.
`BasicAttributeContext(java.util.Map<java.lang.String,Attribute> attributes)` Deprecated. Constructor.

Method Summary
`static AttributeContext` | `getContext(TilesRequestContext tilesContext)` Deprecated. Use `TilesContainer.getAttributeContext(Object...)`.
`static java.util.Stack<AttributeContext>` | `getContextStack(TilesRequestContext tilesContext)` Deprecated. Use `TilesContainer.getAttributeContext(Object...)`, `TilesContainer.startContext(Object...)` or `TilesContainer.endContext(Object...)`.
`static AttributeContext` | `popContext(TilesRequestContext tilesContext)` Deprecated. Use `TilesContainer.endContext(Object...)`.
`static void` | `pushContext(AttributeContext context, TilesRequestContext tilesContext)` Deprecated. Use `TilesContainer.startContext(Object...)`.

Methods inherited from class org.apache.tiles.BasicAttributeContext
`addAll, addMissing, clear, equals, getAttribute, getAttributeNames, getCascadedAttribute, getCascadedAttributeNames, getLocalAttribute, getLocalAttributeNames, getPreparer, getTemplateAttribute, hashCode, inherit, inherit, inheritCascadedAttributes, putAttribute, putAttribute, setPreparer, setTemplateAttribute`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAttributeContext

    public BasicAttributeContext()

  Deprecated.
  Constructor.

### BasicAttributeContext

    public BasicAttributeContext(java.util.Map<java.lang.String,Attribute> attributes)

  Deprecated.
  Constructor. Create a context and set specified attributes.

  Parameters:
    `attributes` - Attributes to initialize context.

### BasicAttributeContext

    public BasicAttributeContext(AttributeContext context)

  Deprecated.
  Copy constructor.

  Parameters:
    `context` - The constructor to copy.

### BasicAttributeContext

    public BasicAttributeContext(BasicAttributeContext context)

  Deprecated.
  Copy constructor.

  Parameters:
    `context` - The constructor to copy.

Method Detail

### getContext

    @Deprecated
    public static AttributeContext getContext(TilesRequestContext tilesContext)

  Deprecated. Use `TilesContainer.getAttributeContext(Object...)`.

  Get attribute context from request.

  Parameters:
    `tilesContext` - current Tiles application context.
  Returns:
    BasicAttributeContext or null if context is not found.

### getContextStack

    @Deprecated
    public static java.util.Stack<AttributeContext> getContextStack(TilesRequestContext tilesContext)

  Deprecated. Use `TilesContainer.getAttributeContext(Object...)`, `TilesContainer.startContext(Object...)` or `TilesContainer.endContext(Object...)`.

  Returns the context stack.

  Parameters:
    `tilesContext` - The Tiles context object to use.
  Returns:
    The needed stack of contexts.

### pushContext

    @Deprecated
    public static void pushContext(AttributeContext context,
                                              TilesRequestContext tilesContext)

  Deprecated. Use `TilesContainer.startContext(Object...)`.

  Pushes a context object in the stack.

  Parameters:
    `context` - The context to push.
    `tilesContext` - The Tiles context object to use.

### popContext

    @Deprecated
    public static AttributeContext popContext(TilesRequestContext tilesContext)

  Deprecated. Use `TilesContainer.endContext(Object...)`.

  Pops a context object out of the stack.

  Parameters:
    `tilesContext` - The Tiles context object to use.
  Returns:
    The popped context object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.